Index: trunk/src/VBox/Devices/PC/BIOS/apm_pm.asm
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/apm_pm.asm	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/apm_pm.asm	(revision 69300)
@@ -1,17 +1,18 @@
-;;
-;; Copyright (C) 2006-2016 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;;
-;; --------------------------------------------------------------------
-;;
-;; Protected-mode APM implementation.
-;;
+; $Id:
+;; @file
+; Protected-mode APM implementation.
+;
+
+;
+; Copyright (C) 2006-2016 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+;
 
 
@@ -134,5 +135,5 @@
 
 		mov	ah, 2		; mark as originating in 16-bit PM
-		
+
 					; fall through
 
Index: trunk/src/VBox/Devices/PC/BIOS/orgs.asm
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/orgs.asm	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/orgs.asm	(revision 69300)
@@ -1,41 +1,45 @@
-;;
-;; Copyright (C) 2006-2017 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;; --------------------------------------------------------------------
-;;
-;; This code is based on:
-;;
-;;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
-;;
-;;  Copyright (C) 2002  MandrakeSoft S.A.
-;;
-;;    MandrakeSoft S.A.
-;;    43, rue d'Aboukir
-;;    75002 Paris - France
-;;    http://www.linux-mandrake.com/
-;;    http://www.mandrakesoft.com/
-;;
-;;  This library is free software; you can redistribute it and/or
-;;  modify it under the terms of the GNU Lesser General Public
-;;  License as published by the Free Software Foundation; either
-;;  version 2 of the License, or (at your option) any later version.
-;;
-;;  This library is distributed in the hope that it will be useful,
-;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
-;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-;;  Lesser General Public License for more details.
-;;
-;;  You should have received a copy of the GNU Lesser General Public
-;;  License along with this library; if not, write to the Free Software
-;;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
-;;
-;;
+; $Id$
+;; @file
+; ???
+;
+
+;
+; Copyright (C) 2006-2017 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+; --------------------------------------------------------------------
+;
+; This code is based on:
+;
+;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
+;
+;  Copyright (C) 2002  MandrakeSoft S.A.
+;
+;    MandrakeSoft S.A.
+;    43, rue d'Aboukir
+;    75002 Paris - France
+;    http://www.linux-mandrake.com/
+;    http://www.mandrakesoft.com/
+;
+;  This library is free software; you can redistribute it and/or
+;  modify it under the terms of the GNU Lesser General Public
+;  License as published by the Free Software Foundation; either
+;  version 2 of the License, or (at your option) any later version.
+;
+;  This library is distributed in the hope that it will be useful,
+;  but WITHOUT ANY WARRANTY; without even the implied warranty of
+;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+;  Lesser General Public License for more details.
+;
+;  You should have received a copy of the GNU Lesser General Public
+;  License along with this library; if not, write to the Free Software
+;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
+;
 
 ; Oracle LGPL Disclaimer: For the avoidance of doubt, except that if any license choice
@@ -279,6 +283,6 @@
                 out     92h, al
                 jmp     $               ; not strictly necessary in a VM
-                
-                
+
+
 in_real_mode:
                 ;; read the CMOS shutdown status
@@ -323,5 +327,5 @@
                 cmp     al, 0Ah
                 jz      check_shutdown
-                
+
                 xor     al, al
 
@@ -347,5 +351,5 @@
                 jne     check_next_std
                 jmp     return_blkmove
-check_next_std:         
+check_next_std:
 
                 ;; 05h = EOI + jump through 40:67
@@ -426,5 +430,5 @@
                 mov     cx, 10h
                 call    set_int_vects
-                
+
                 ;; base memory in K to 40:13
                 mov     ax, BASE_MEM_IN_K
@@ -638,5 +642,5 @@
                 mov     dx, 0F000h
                 call    rom_scan_
-                
+
 if VBOX_BIOS_CPU ge 80386
                 ;; The POST code does not bother preserving high bits of the
@@ -652,5 +656,5 @@
 
                 call    _print_bios_banner
-                
+
                 ;; El Torito floppy/hard disk emulation
                 call    _cdemu_init
@@ -666,5 +670,5 @@
                 cli
                 hlt
-                
+
 
 ;;
@@ -1698,5 +1702,5 @@
                 cmp     ah, 87h
                 jne     not_blkmove
-                
+
                 ;; INT 15h/87h has semi-public interface because software
                 ;; may use CMOS shutdown status code 9 for its own purposes.
Index: trunk/src/VBox/Devices/PC/BIOS/pcibio32.asm
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/pcibio32.asm	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/pcibio32.asm	(revision 69300)
@@ -1,17 +1,20 @@
-;;
-;; Copyright (C) 2006-2016 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;;
-;; --------------------------------------------------------------------
+; $Id$
+;; @file
+; BIOS32 service directory and 32-bit PCI BIOS entry point
+;
 
+;
+; Copyright (C) 2006-2016 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+;
+; --------------------------------------------------------------------
 
-; BIOS32 service directory and 32-bit PCI BIOS entry point
 
 ; Public symbols for debugging only
@@ -94,2 +97,3 @@
 
 		end
+
Index: trunk/src/VBox/Devices/PC/BIOS/pcibios.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/pcibios.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/pcibios.inc	(revision 69300)
@@ -1,42 +1,45 @@
-;;
-;; Copyright (C) 2006-2015 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;; --------------------------------------------------------------------
-;;
-;; This code is based on:
-;;
-;;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
-;;
-;;  Copyright (C) 2002  MandrakeSoft S.A.
-;;
-;;    MandrakeSoft S.A.
-;;    43, rue d'Aboukir
-;;    75002 Paris - France
-;;    http://www.linux-mandrake.com/
-;;    http://www.mandrakesoft.com/
-;;
-;;  This library is free software; you can redistribute it and/or
-;;  modify it under the terms of the GNU Lesser General Public
-;;  License as published by the Free Software Foundation; either
-;;  version 2 of the License, or (at your option) any later version.
-;;
-;;  This library is distributed in the hope that it will be useful,
-;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
-;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-;;  Lesser General Public License for more details.
-;;
-;;  You should have received a copy of the GNU Lesser General Public
-;;  License along with this library; if not, write to the Free Software
-;;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
-;;
-;;
-
+; $Id$
+;; @file
+; ???
+;
+
+;
+; Copyright (C) 2006-2015 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+; --------------------------------------------------------------------
+;
+; This code is based on:
+;
+;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
+;
+;  Copyright (C) 2002  MandrakeSoft S.A.
+;
+;    MandrakeSoft S.A.
+;    43, rue d'Aboukir
+;    75002 Paris - France
+;    http://www.linux-mandrake.com/
+;    http://www.mandrakesoft.com/
+;
+;  This library is free software; you can redistribute it and/or
+;  modify it under the terms of the GNU Lesser General Public
+;  License as published by the Free Software Foundation; either
+;  version 2 of the License, or (at your option) any later version.
+;
+;  This library is distributed in the hope that it will be useful,
+;  but WITHOUT ANY WARRANTY; without even the implied warranty of
+;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+;  Lesser General Public License for more details.
+;
+;  You should have received a copy of the GNU Lesser General Public
+;  License along with this library; if not, write to the Free Software
+;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
+;
 
 ; Oracle LGPL Disclaimer: For the avoidance of doubt, except that if any license choice
@@ -46,4 +49,5 @@
 ; that LGPLv2 or any later version may be used, or where a choice of which version
 ; of the LGPL is applied is otherwise unspecified.
+
 
 include	pcicfg.inc
@@ -79,5 +83,5 @@
 if not BX_ROMBIOS32
 pci_irq_list:
-		db 11, 10, 9, 11 
+		db 11, 10, 9, 11
 
 pcibios_init_sel_reg:
@@ -97,5 +101,5 @@
 		mov	bp, sp
 ifdef VBOX
-		mov	eax,19200509 
+		mov	eax,19200509
 		mov	dx,410h
 		out	dx,  eax
@@ -205,5 +209,5 @@
 		add	dx, 18h	; reset register if PCNet is in word I/O mode
 		in	eax, dx	; reset is performed by reading the reset register
-endif ; VBOX 
+endif ; VBOX
 next_pci_dev:
 		mov	byte ptr[bp-8], 10h
Index: trunk/src/VBox/Devices/PC/BIOS/pirq.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/pirq.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/pirq.inc	(revision 69300)
@@ -1,42 +1,46 @@
-;;
-;; Copyright (C) 2006-2015 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;; --------------------------------------------------------------------
-;;
-;; This code is based on:
-;;
-;;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
-;;
-;;  Copyright (C) 2002  MandrakeSoft S.A.
-;;
-;;    MandrakeSoft S.A.
-;;    43, rue d'Aboukir
-;;    75002 Paris - France
-;;    http://www.linux-mandrake.com/
-;;    http://www.mandrakesoft.com/
-;;
-;;  This library is free software; you can redistribute it and/or
-;;  modify it under the terms of the GNU Lesser General Public
-;;  License as published by the Free Software Foundation; either
-;;  version 2 of the License, or (at your option) any later version.
-;;
-;;  This library is distributed in the hope that it will be useful,
-;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
-;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-;;  Lesser General Public License for more details.
-;;
-;;  You should have received a copy of the GNU Lesser General Public
-;;  License along with this library; if not, write to the Free Software
-;;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
-;;
-;;
-
+; $Id$
+;; @file
+; ???
+;
+
+;
+; Copyright (C) 2006-2015 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+; --------------------------------------------------------------------
+;
+; This code is based on:
+;
+;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
+;
+;  Copyright (C) 2002  MandrakeSoft S.A.
+;
+;    MandrakeSoft S.A.
+;    43, rue d'Aboukir
+;    75002 Paris - France
+;    http://www.linux-mandrake.com/
+;    http://www.mandrakesoft.com/
+;
+;  This library is free software; you can redistribute it and/or
+;  modify it under the terms of the GNU Lesser General Public
+;  License as published by the Free Software Foundation; either
+;  version 2 of the License, or (at your option) any later version.
+;
+;  This library is distributed in the hope that it will be useful,
+;  but WITHOUT ANY WARRANTY; without even the implied warranty of
+;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+;  Lesser General Public License for more details.
+;
+;  You should have received a copy of the GNU Lesser General Public
+;  License along with this library; if not, write to the Free Software
+;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
+;
+;
 
 ; Oracle LGPL Disclaimer: For the avoidance of doubt, except that if any license choice
@@ -46,4 +50,5 @@
 ; that LGPLv2 or any later version may be used, or where a choice of which version
 ; of the LGPL is applied is otherwise unspecified.
+
 
 if BX_PCIBIOS
Index: trunk/src/VBox/Devices/PC/BIOS/pmode.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/pmode.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/pmode.inc	(revision 69300)
@@ -1,17 +1,18 @@
+; $Id$
 ;; @file
-;; Enter and exit a minimal protected-mode environment.
-;;
+; Enter and exit a minimal protected-mode environment.
+;
 
-;;
-;; Copyright (C) 2004-2015 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;;
+;
+; Copyright (C) 2004-2015 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+;
 
 ;; Caveats: May only be called from the F000 segment (16-bit). Does not
@@ -78,2 +79,3 @@
 		dw 0, 0, 0, 0
 		dw 0ffffh, 400h, 9300h, 0000h   ; 16-bit data, base=0x40
+
Index: trunk/src/VBox/Devices/PC/BIOS/pmsetup.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/pmsetup.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/pmsetup.inc	(revision 69300)
@@ -1,17 +1,18 @@
+; $Id$
 ;; @file
-;; Initial system setup which needs to run in protected mode.
-;;
+; Initial system setup which needs to run in protected mode.
+;
 
-;;
-;; Copyright (C) 2004-2015 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;;
+;
+; Copyright (C) 2004-2015 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+;
 
 SVR		equ	0FEE000F0h
@@ -62,2 +63,3 @@
 
 pmode_setup	endp
+
Index: trunk/src/VBox/Devices/PC/BIOS/smidmi.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/smidmi.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/smidmi.inc	(revision 69300)
@@ -1,42 +1,41 @@
-;;
-;; Copyright (C) 2006-2015 Oracle Corporation
-;;
-;; This file is part of VirtualBox Open Source Edition (OSE), as
-;; available from http://www.virtualbox.org. This file is free software;
-;; you can redistribute it and/or modify it under the terms of the GNU
-;; General Public License (GPL) as published by the Free Software
-;; Foundation, in version 2 as it comes in the "COPYING" file of the
-;; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-;; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-;; --------------------------------------------------------------------
-;;
-;; This code is based on:
-;;
-;;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
-;;
-;;  Copyright (C) 2002  MandrakeSoft S.A.
-;;
-;;    MandrakeSoft S.A.
-;;    43, rue d'Aboukir
-;;    75002 Paris - France
-;;    http://www.linux-mandrake.com/
-;;    http://www.mandrakesoft.com/
-;;
-;;  This library is free software; you can redistribute it and/or
-;;  modify it under the terms of the GNU Lesser General Public
-;;  License as published by the Free Software Foundation; either
-;;  version 2 of the License, or (at your option) any later version.
-;;
-;;  This library is distributed in the hope that it will be useful,
-;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
-;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-;;  Lesser General Public License for more details.
-;;
-;;  You should have received a copy of the GNU Lesser General Public
-;;  License along with this library; if not, write to the Free Software
-;;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
-;;
-;;
-
+;
+; Copyright (C) 2006-2015 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+; --------------------------------------------------------------------
+;
+; This code is based on:
+;
+;  ROM BIOS for use with Bochs/Plex86/QEMU emulation environment
+;
+;  Copyright (C) 2002  MandrakeSoft S.A.
+;
+;    MandrakeSoft S.A.
+;    43, rue d'Aboukir
+;    75002 Paris - France
+;    http://www.linux-mandrake.com/
+;    http://www.mandrakesoft.com/
+;
+;  This library is free software; you can redistribute it and/or
+;  modify it under the terms of the GNU Lesser General Public
+;  License as published by the Free Software Foundation; either
+;  version 2 of the License, or (at your option) any later version.
+;
+;  This library is distributed in the hope that it will be useful,
+;  but WITHOUT ANY WARRANTY; without even the implied warranty of
+;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+;  Lesser General Public License for more details.
+;
+;  You should have received a copy of the GNU Lesser General Public
+;  License along with this library; if not, write to the Free Software
+;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
+;
+;
 
 ; Oracle LGPL Disclaimer: For the avoidance of doubt, except that if any license choice
@@ -60,5 +59,5 @@
 		db	0		; Entry point revision
 		db	0, 0, 0, 0, 0	; 16 bytes total
-	
+
 		;; The DMI header
 		db	'_DMI_'		; signature
@@ -69,2 +68,3 @@
 		db	VBOX_DMI_TABLE_VER ; DMI version
 		db	0		; Just for alignment (16 bytes total)
+
Index: trunk/src/VBox/Devices/PC/BIOS/vbdmismi.inc
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/vbdmismi.inc	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/vbdmismi.inc	(revision 69300)
@@ -1,2 +1,19 @@
+; $Id$
+;; @file
+; DMI and SMBIOS definitions for VBox.
+;
+
+;
+; Copyright (C) 2006-2017 Oracle Corporation
+;
+; This file is part of VirtualBox Open Source Edition (OSE), as
+; available from http://www.virtualbox.org. This file is free software;
+; you can redistribute it and/or modify it under the terms of the GNU
+; General Public License (GPL) as published by the Free Software
+; Foundation, in version 2 as it comes in the "COPYING" file of the
+; VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+; hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+;
+
 ;; TODO: make dynamic
 
@@ -8,2 +25,3 @@
 VBOX_SMBIOS_MINOR_VER	equ	5
 VBOX_SMBIOS_MAXSS	equ	0FFh
+
Index: trunk/src/VBox/Devices/PC/BIOS/vds.h
===================================================================
--- trunk/src/VBox/Devices/PC/BIOS/vds.h	(revision 69299)
+++ trunk/src/VBox/Devices/PC/BIOS/vds.h	(revision 69300)
@@ -1,2 +1,20 @@
+/* $Id$ */
+/** @file
+ * Utility routines for calling the Virtual DMA Services.
+ */
+
+/*
+ * Copyright (C) 2006-2016 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+
 /* Virtual DMA Services (VDS) */
 
@@ -4,7 +22,7 @@
 #define VDS_PRESENT     0x20    /* The VDS present bit. */
 
-/* The DMA descriptor data structure. */
-
-typedef struct {
+/** The DMA descriptor data structure. */
+typedef struct
+{
     uint32_t    region_size;    /* Region size in bytes. */
     uint32_t    offset;         /* Offset. */
@@ -15,16 +33,16 @@
 
 
-/* Scatter/gather descriptor entry. */
-
-typedef struct {
+/** Scatter/gather descriptor entry. */
+typedef struct
+{
     uint32_t    phys_addr;      /* Physical address. */
     uint32_t    size;           /* Entry size. */
 } vds_sg;
 
-/* The extended DDS for scatter/gather. Note that the EDDS contains either
- * S/G descriptors or x86-style PTEs.
+/** The extended DDS for scatter/gather.
+ * Note that the EDDS contains either S/G descriptors or x86-style PTEs.
  */
-
-typedef struct {
+typedef struct
+{
     uint32_t    region_size;    /* Region size in bytes. */
     uint32_t    offset;         /* Offset. */
@@ -33,5 +51,6 @@
     uint16_t    num_avail;      /* Number of entries available. */
     uint16_t    num_used;       /* Number of entries used. */
-    union {
+    union
+    {
         vds_sg      sg[1];      /* S/G entry array. */
         uint32_t    pte[1];     /* Page table entry array. */
@@ -94,2 +113,3 @@
 
 uint32_t vds_real_to_lin( void __far *ptr );
+