Index: /trunk/src/VBox/Additions/x11/.scm-settings
===================================================================
--- /trunk/src/VBox/Additions/x11/.scm-settings	(revision 69348)
+++ /trunk/src/VBox/Additions/x11/.scm-settings	(revision 69348)
@@ -0,0 +1,37 @@
+# $Id$
+## @file
+# Source code massager settings for the x11 guest addition components.
+#
+
+#
+# Copyright (C) 2010-2017 Oracle Corporation
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+--filter-out-files /undefined_*
+
+# x11include
+--filter-out-files /x11include/*README
+/x11include/*: --external-copyright --no-convert-tabs --strip-no-trailing-lines --no-strip-trailing-blanks --no-fix-flower-box-markers --no-convert-eol --no-force-final-eol --dont-set-svn-eol --dont-set-svn-keywords
+/x11include/*h.in: --treat-as .h
+
+# vboxvideo
+--filter-out-files /vboxvideo/README.testing
+/vboxvideo/*.c|/vboxvideo/*.h: --license-mit
+/vboxvideo/vboxvideo*.c|/vboxvideo/vboxvideo*.h: --license-based-on-mit --no-convert-tabs --dont-set-svn-keywords
+/vboxvideo/edid.c: --license-based-on-mit
+/vboxvideo/setmode.c: --license-based-on-mit
+
+# Installer
+/Installer/98vboxadd-xclient: --treat-as .sh
+--filter-out-files /Installer/vboxvideo.ids
+--filter-out-files /Installer/linux_xorg_suse11.conf
+--filter-out-files /Installer/solaris_xorg.conf
+--filter-out-files /Installer/solaris_xorg_modeless.conf
Index: /trunk/src/VBox/Additions/x11/Installer/x11config.pl
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11config.pl	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11config.pl	(revision 69348)
@@ -1,5 +1,8 @@
 #!/usr/bin/perl -w
+# $Id$
+## @file
+# Guest Additions X11 config update script
 #
-# Guest Additions X11 config update script
+
 #
 # Copyright (C) 2006-2010 Oracle Corporation
Index: /trunk/src/VBox/Additions/x11/Installer/x11config.sh
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11config.sh	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11config.sh	(revision 69348)
@@ -1,5 +1,8 @@
 #!/bin/sh
+# $Id$
+## @file
+# Guest Additions X11 config update script
 #
-# Guest Additions X11 config update script
+
 #
 # Copyright (C) 2006-2012 Oracle Corporation
Index: /trunk/src/VBox/Additions/x11/Installer/x11config15.pl
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11config15.pl	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11config15.pl	(revision 69348)
@@ -1,5 +1,8 @@
 #!/usr/bin/perl -w
+# $Id$
+## @file
+# Guest Additions X11 config update script for X.org 1.5
 #
-# Guest Additions X11 config update script for X.org 1.5
+
 #
 # Copyright (C) 2006-2010 Oracle Corporation
Index: /trunk/src/VBox/Additions/x11/Installer/x11config15sol.pl
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11config15sol.pl	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11config15sol.pl	(revision 69348)
@@ -1,5 +1,8 @@
 #!/usr/bin/perl
+# $Id$
+## @file
+# Guest Additions X11 config update script
 #
-# Guest Additions X11 config update script
+
 #
 # Copyright (C) 2006-2012 Oracle Corporation
@@ -60,6 +63,6 @@
                 }
             }
-			else
-		    {
+            else
+            {
                 if ($line =~ /^\s*EndSection/i)
                 {
Index: /trunk/src/VBox/Additions/x11/Installer/x11config15suse.pl
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11config15suse.pl	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11config15suse.pl	(revision 69348)
@@ -1,5 +1,8 @@
 #!/usr/bin/perl -w
+# $Id$
+## @file
+# Guest Additions X11 config update script
 #
-# Guest Additions X11 config update script
+
 #
 # Copyright (C) 2006-2010 Oracle Corporation
Index: /trunk/src/VBox/Additions/x11/Installer/x11restore.pl
===================================================================
--- /trunk/src/VBox/Additions/x11/Installer/x11restore.pl	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Installer/x11restore.pl	(revision 69348)
@@ -1,6 +1,8 @@
 #!/usr/bin/perl -w
-# $Revision$
+# $Id$
+## @file
+# Restore xorg.conf while removing Guest Additions.
 #
-# Restore xorg.conf while removing Guest Additions.
+
 #
 # Copyright (C) 2008-2012 Oracle Corporation
Index: /trunk/src/VBox/Additions/x11/Makefile.kmk
===================================================================
--- /trunk/src/VBox/Additions/x11/Makefile.kmk	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/Makefile.kmk	(revision 69348)
@@ -4,4 +4,5 @@
 #
 
+#
 # Copyright (C) 2006-2017 Oracle Corporation
 #
Index: /trunk/src/VBox/Additions/x11/VBoxClient/display-svga.cpp
===================================================================
--- /trunk/src/VBox/Additions/x11/VBoxClient/display-svga.cpp	(revision 69347)
+++ /trunk/src/VBox/Additions/x11/VBoxClient/display-svga.cpp	(revision 69348)
@@ -26,5 +26,5 @@
  *    including at log-in screens.  Test GNOME Shell Wayland and GNOME Shell
  *    under X.Org or Unity or KDE at the log-in screen and after log-in.
- *  - Linux 4.10 changed the user-kernel-ABI introduced in 4.6: test both. 
+ *  - Linux 4.10 changed the user-kernel-ABI introduced in 4.6: test both.
  *  - On other guests (than Linux 4.6 or later) running X.Org Server 1.3 or
  *    later, VBoxClient --vmsvga should never be running as root, and should run