Index: trunk/src/VBox/Main/webservice/samples/java/jax-ws/Makefile
===================================================================
--- trunk/src/VBox/Main/webservice/samples/java/jax-ws/Makefile	(revision 69382)
+++ trunk/src/VBox/Main/webservice/samples/java/jax-ws/Makefile	(revision 69383)
@@ -61,3 +61,3 @@
 
 clean:
-	$(RM) -rf $(DEST15)  $(DEST16) 
+	$(RM) -rf $(DEST15)  $(DEST16)
Index: trunk/src/VBox/Main/webservice/samples/perl/clienttest.pl
===================================================================
--- trunk/src/VBox/Main/webservice/samples/perl/clienttest.pl	(revision 69382)
+++ trunk/src/VBox/Main/webservice/samples/perl/clienttest.pl	(revision 69383)
@@ -1,12 +1,14 @@
 #!/usr/bin/perl
-
-#
+# $Id$
+## @file
 # This little perl program attempts to connect to a running VirtualBox
 # webservice and calls various methods on it. Please refer to the SDK
 # programming reference (SDKRef.pdf) for how to use this sample.
 #
+# Note! The following license applies to this file only
+#
+
+#
 # Copyright (C) 2008-2012 Oracle Corporation
-#
-# The following license applies to this file only:
 #
 # Permission is hereby granted, free of charge, to any person
@@ -14,7 +16,8 @@
 # files (the "Software"), to deal in the Software without
 # restriction, including without limitation the rights to use,
-# copy, modify, merge, publish, distribute, sublicense, and/or
-# sell copies of the Software, and to permit persons to whom the
-# Software is furnished to do so, subject to the following conditions:
+# copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the
+# Software is furnished to do so, subject to the following
+# conditions:
 #
 # The above copyright notice and this permission notice shall be
@@ -24,5 +27,5 @@
 # EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 # OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 # HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 # WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
Index: trunk/src/VBox/Main/webservice/samples/python/Makefile
===================================================================
--- trunk/src/VBox/Main/webservice/samples/python/Makefile	(revision 69382)
+++ trunk/src/VBox/Main/webservice/samples/python/Makefile	(revision 69383)
@@ -13,7 +13,7 @@
 all: run
 
-run: 
+run:
 	@echo !!!! Don\'t forget to start webserver with \"vboxwebsrv -t 10000\" !!!
-	PYTHONPATH=../lib python ../../../glue/python/sample/vboxshell.py -w 
+	PYTHONPATH=../lib python ../../../glue/python/sample/vboxshell.py -w
 
 server:
Index: trunk/src/VBox/Main/webservice/samples/python/clienttest.py
===================================================================
--- trunk/src/VBox/Main/webservice/samples/python/clienttest.py	(revision 69382)
+++ trunk/src/VBox/Main/webservice/samples/python/clienttest.py	(revision 69383)
@@ -1,14 +1,18 @@
 #!/usr/bin/python
-#
-# Copyright (C) 2012-2016 Oracle Corporation
-#
-# This file is part of VirtualBox Open Source Edition (OSE), as
-# available from http://www.virtualbox.org. This file is free software;
-# you can redistribute it and/or modify it under the terms of the GNU
-# General Public License (GPL) as published by the Free Software
-# Foundation, in version 2 as it comes in the "COPYING" file of the
-# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
-# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
-#
+
+__copyright__ = \
+"""
+Copyright (C) 2012-2016 Oracle Corporation
+
+This file is part of VirtualBox Open Source Edition (OSE), as
+available from http://www.virtualbox.org. This file is free software;
+you can redistribute it and/or modify it under the terms of the GNU
+General Public License (GPL) as published by the Free Software
+Foundation, in version 2 as it comes in the "COPYING" file of the
+VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+"""
+
+
 # Things needed to be set up before running this sample:
 # - Install Python and verify it works (2.7.2 will do, 3.x is untested yet)