Index: trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPDrvA-win.asm
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPDrvA-win.asm	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPDrvA-win.asm	(revision 69496)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerify-win.h	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyImage-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyImage-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyImage-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyProcess-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyProcess-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPHardenedVerifyProcess-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPLib-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPR0IdcClient-win.c
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPR0IdcClient-win.c	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPR0IdcClient-win.c	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2016 Oracle Corporation
+ * Copyright (C) 2008-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMain-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMain-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMain-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainA-win.asm
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainA-win.asm	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainA-win.asm	(revision 69496)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2012-2016 Oracle Corporation
+; Copyright (C) 2012-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainImports-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainImports-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedMainImports-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedNoCrt-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedNoCrt-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPR3HardenedNoCrt-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/SUPSvc-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/SUPSvc-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/SUPSvc-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2016 Oracle Corporation
+ * Copyright (C) 2008-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.inf
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.inf	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.inf	(revision 69496)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.rc
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.rc	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/VBoxDrv.rc	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib-win.cpp	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib-win.cpp	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib.rc
===================================================================
--- trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib.rc	(revision 69371)
+++ trunk/src/VBox/HostDrivers/Support/win/VBoxSupLib.rc	(revision 69496)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2016 Oracle Corporation
+ * Copyright (C) 2015-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as