Index: trunk/src/bldprogs/VBoxCPP.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCPP.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxCPP.cpp	(revision 69498)
@@ -14,5 +14,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxCheckImports.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCheckImports.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxCheckImports.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxCmp.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCmp.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxCmp.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxCompilerPlugIns.h
===================================================================
--- trunk/src/bldprogs/VBoxCompilerPlugIns.h	(revision 69496)
+++ trunk/src/bldprogs/VBoxCompilerPlugIns.h	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxCompilerPlugInsCommon.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCompilerPlugInsCommon.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxCompilerPlugInsCommon.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxDef2LazyLoad.cpp
===================================================================
--- trunk/src/bldprogs/VBoxDef2LazyLoad.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxDef2LazyLoad.cpp	(revision 69498)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2013-2017 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxPeSetVersion.cpp
===================================================================
--- trunk/src/bldprogs/VBoxPeSetVersion.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxPeSetVersion.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/VBoxTpG.cpp
===================================================================
--- trunk/src/bldprogs/VBoxTpG.cpp	(revision 69496)
+++ trunk/src/bldprogs/VBoxTpG.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/bin2c.c
===================================================================
--- trunk/src/bldprogs/bin2c.c	(revision 69496)
+++ trunk/src/bldprogs/bin2c.c	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/biossums.c
===================================================================
--- trunk/src/bldprogs/biossums.c	(revision 69496)
+++ trunk/src/bldprogs/biossums.c	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/checkUndefined.sh
===================================================================
--- trunk/src/bldprogs/checkUndefined.sh	(revision 69496)
+++ trunk/src/bldprogs/checkUndefined.sh	(revision 69498)
@@ -2,5 +2,5 @@
 
 #
-# Copyright (C) 2006-2017 Oracle Corporation
+# Copyright (C) 2006-2015 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/deftoimp.sed
===================================================================
--- trunk/src/bldprogs/deftoimp.sed	(revision 69496)
+++ trunk/src/bldprogs/deftoimp.sed	(revision 69498)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2017 Oracle Corporation
+# Copyright (C) 2006-2015 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/filesplitter.cpp
===================================================================
--- trunk/src/bldprogs/filesplitter.cpp	(revision 69496)
+++ trunk/src/bldprogs/filesplitter.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/preload.cpp
===================================================================
--- trunk/src/bldprogs/preload.cpp	(revision 69496)
+++ trunk/src/bldprogs/preload.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2017 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scm.cpp
===================================================================
--- trunk/src/bldprogs/scm.cpp	(revision 69496)
+++ trunk/src/bldprogs/scm.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scm.h
===================================================================
--- trunk/src/bldprogs/scm.h	(revision 69496)
+++ trunk/src/bldprogs/scm.h	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmdiff.cpp
===================================================================
--- trunk/src/bldprogs/scmdiff.cpp	(revision 69496)
+++ trunk/src/bldprogs/scmdiff.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmdiff.h
===================================================================
--- trunk/src/bldprogs/scmdiff.h	(revision 69496)
+++ trunk/src/bldprogs/scmdiff.h	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmrw.cpp
===================================================================
--- trunk/src/bldprogs/scmrw.cpp	(revision 69496)
+++ trunk/src/bldprogs/scmrw.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmstream.cpp
===================================================================
--- trunk/src/bldprogs/scmstream.cpp	(revision 69496)
+++ trunk/src/bldprogs/scmstream.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmstream.h
===================================================================
--- trunk/src/bldprogs/scmstream.h	(revision 69496)
+++ trunk/src/bldprogs/scmstream.h	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2017 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/scmsubversion.cpp
===================================================================
--- trunk/src/bldprogs/scmsubversion.cpp	(revision 69496)
+++ trunk/src/bldprogs/scmsubversion.cpp	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/test-gccplugin-2.c
===================================================================
--- trunk/src/bldprogs/test-gccplugin-2.c	(revision 69496)
+++ trunk/src/bldprogs/test-gccplugin-2.c	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/bldprogs/test-gccplugin.c
===================================================================
--- trunk/src/bldprogs/test-gccplugin.c	(revision 69496)
+++ trunk/src/bldprogs/test-gccplugin.c	(revision 69498)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2017 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as