Index: trunk/src/VBox/HostDrivers/VBoxUSB/USBFilter.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/USBFilter.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/USBFilter.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/USBLib.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/USBLib.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/USBLib.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/VBoxUSBFilterMgr.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/darwin/USBLib-darwin.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/darwin/USBLib-darwin.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/darwin/USBLib-darwin.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSB.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSB.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSB.cpp	(revision 69500)
@@ -9,5 +9,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/darwin/VBoxUSBInterface.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/darwin/loadusb.sh
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/darwin/loadusb.sh	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/darwin/loadusb.sh	(revision 69500)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2017 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/darwin/testcase/tstOpenUSBDev.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/darwin/testcase/tstOpenUSBDev.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/darwin/testcase/tstOpenUSBDev.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/solaris/USBLib-solaris.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/solaris/USBLib-solaris.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/solaris/USBLib-solaris.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2016 Oracle Corporation
+ * Copyright (C) 2008-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSB-solaris.c
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSB-solaris.c	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSB-solaris.c	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2016 Oracle Corporation
+ * Copyright (C) 2008-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSBMon-solaris.c
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSBMon-solaris.c	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/solaris/VBoxUSBMon-solaris.c	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2016 Oracle Corporation
+ * Copyright (C) 2008-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusb.conf
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusb.conf	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusb.conf	(revision 69500)
@@ -4,5 +4,5 @@
 
 #
-# Copyright (C) 2010-2015 Oracle Corporation
+# Copyright (C) 2010-2017 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusbmon.conf
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusbmon.conf	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/solaris/vboxusbmon.conf	(revision 69500)
@@ -4,5 +4,5 @@
 
 #
-# Copyright (C) 2010-2015 Oracle Corporation
+# Copyright (C) 2010-2017 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/testcase/tstUSBFilter.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/testcase/tstUSBFilter.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/testcase/tstUSBFilter.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2016 Oracle Corporation
+ * Copyright (C) 2007-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBInstall.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBInstall.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBInstall.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBUninstall.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBUninstall.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/Install/USBUninstall.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxDrvTool.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbIdc.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/cmn/VBoxUsbTool.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUSB.inf	(revision 69500)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2011-2016 Oracle Corporation
+; Copyright (C) 2011-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbCmn.h	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.rc
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.rc	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbDev.rc	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPnP.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbPwr.h	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/dev/VBoxUsbRt.h	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/lib/VBoxUsbLib-win.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/lib/VBoxUsbLib-win.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/lib/VBoxUsbLib-win.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUSBMon.inf	(revision 69500)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2011-2016 Oracle Corporation
+; Copyright (C) 2011-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.h	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.h	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 69500)
@@ -4,5 +4,5 @@
  */
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.rc
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.rc	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.rc	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/testcase/USBTest.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/testcase/USBTest.cpp	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/testcase/USBTest.cpp	(revision 69500)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/usbd/usbd.def
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/usbd/usbd.def	(revision 69498)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/usbd/usbd.def	(revision 69500)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as